compact1, compact2, compact3
java.security

## Interface KeyStore.LoadStoreParameter

- All Known Implementing Classes:
    DomainLoadStoreParameter
  Enclosing class:
    KeyStore

      public static interface KeyStore.LoadStoreParameter

  A marker interface for `KeyStore` `load` and `store` parameters.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyStore.ProtectionParameter` | `getProtectionParameter()` Gets the parameter used to protect keystore data.

- - ### Method Detail

    - #### getProtectionParameter

          KeyStore.ProtectionParameter getProtectionParameter()

      Gets the parameter used to protect keystore data.
      Returns:
        the parameter used to protect keystore data, or null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.